<?php
include 'header.php';
include 'erpc_cfop_toolbar.php'; //Nome da tabela _list.php
include 'connect.php';

// Método para post de Query Avançada
	$consulta = "SELECT cf.*, cc.ds_categoria FROM erpc_cfop cf join erpc_cfop_categorias cc on cf.id_categoria = cc.id where cf.st_ativo = 1 order by 1 desc";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$ds_cfop	= trim($_POST['ds_cfop']);
		$ds_titulo= $_POST['ds_titulo'];
		$id_categoria=$_POST['id_categoria'];

	  $consulta .= (!empty($ds_cfop)  ? " and ds_cfop like '%$ds_cfop%'"            : '');
		$consulta .= (!empty($ds_titulo)  ? " and ds_cfop like '%$ds_titulo%'"            : '');
		$consulta .= (!empty($id_categoria)  ? " and ds_cfop like '%$id_categoria%'"            : '');


	}
?>

<div class="block">
  <div class="header">
  <h2>CFOP Código de Operações Fiscais</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=02%><input type="checkbox" class="checkall" /></th>
						<th width=02%>CFOP</th>
            <th width=50%>Titulo</th>
						<th width=30%>Categoria</th>
            <th width=05%>Editar</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

						$ds_cfop	= $registro['ds_cfop'];
						$ds_titulo= $registro['ds_titulo'];
						$ds_categoria= $registro['ds_categoria'];

            $id_crip	 	= base64_encode($ds_cfop);


			echo "<tr>";
            echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$ds_cfop</td>";
						echo "<td>$ds_titulo</td>";
						echo "<td>$ds_categoria</td>";

            echo "<td class='text-center'><a href='erpc_cfop_edit.php?ds_cfop=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_cfop_remove.php?ds_cfop=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
